<?php

// Admin web routes  for manufacturer
Route::group(['prefix' => trans_setlocale().'/admin/manufacturer'], function () {
    Route::resource('manufacturer', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerAdminController');
});

// Admin API routes  for manufacturer
Route::group(['prefix' => trans_setlocale().'api/v1/admin/manufacturer'], function () {
    Route::resource('manufacturer', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerAdminApiController');
});

// User web routes for manufacturer
Route::group(['prefix' => trans_setlocale().'/user/manufacturers'], function () {
    Route::resource('/', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerUserController');
});

// User API routes for manufacturer
Route::group(['prefix' => trans_setlocale().'api/v1/user/manufacturers'], function () {
    Route::resource('/', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerUserApiController');
});

// Public web routes for manufacturer
Route::group(['prefix' => trans_setlocale().'/manufacturers'], function () {
    Route::get('/', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerController@index');
    Route::get('/{slug?}', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerController@show');
});

// Public API routes for manufacturer
Route::group(['prefix' => trans_setlocale().'api/v1/manufacturers'], function () {
    Route::get('/', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerApiController@index');
    Route::get('/{slug?}', 'Assetdocs\Manufacturer\Http\Controllers\ManufacturerApiController@show');
});

