<?php

namespace Assetdocs\Manufacturer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManufacturerListTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Manufacturer\Models\Manufacturer $manufacturer)
    {
        return [
            'id'                => $manufacturer->getRouteKey(),
            'id'                => $manufacturer->id,
            'name'              => $manufacturer->name,
            'manufacturer_address' => $manufacturer->manufacturer_address,
            'manufacturing_year' => $manufacturer->manufacturing_year,
            'serial_no'         => $manufacturer->serial_no,
            'created_at'        => $manufacturer->created_at,
            'updated_at'        => $manufacturer->updated_at,
            'deleted_at'        => $manufacturer->deleted_at,
        ];
    }
}